# Copyright (c) 2005-2006, Samuel Schluep, ETH Zurich and Infrae
# All rights reserved. See also LICENSE.txt

from Interface import Interface

class IGlossarizable(Interface):
    """Interface to search for glossary entries in documents.
    """

    def getGlossaryEntries():
        """Get the glossary entries as a dictionary.

        The key of the dictionary is the absolute path of the associated
        glossary entry. The value is the Glossary Entry object itself.
        """

